@charset "UTF-8";
html {
    font-size: 100%;
}

body {
    color: #24292e;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
}

li {
    list-style: none;
}

.wrapper {
    max-width: 960px;
    margin: 0 auto 130px auto;
    font-size: 0.9rem;
    padding: 0 4%;
}

.site-title {
    line-height: 1px;
}

.site-title a {
    display: block;
}

.sec-title {
    font-size: 1.5rem;
    text-align: center;
    margin-bottom: 65px;
}


/* ----------------------- */


/*-------------------------------------------
ヘッダー
-------------------------------------------*/

#header {
    max-width: 960px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 270px;
    margin: 0 auto;
    padding: 0 4%;
}

#header ul {
    /* display: flex; */
    padding: 10px 0;
}

#header li {
    font-size: 0.9rem;
    margin-left: 30px;
}

#header li a {
    color: #24292e;
}

#header li a:hover {
    opacity: 0.7;
}

#header li img.icon {
    width: 20px;
}


/* ----------------------------------- */


/* 
#header #pc-menu ul {
    display: flex;
    padding: 10px 0;
}

#header #pc-menu li {
    font-size: 0.9rem;
    margin-left: 30px;
}

#header #pc-menu li a {
    color: #24292e;
}

#header #pc-menu li a:hover {
    opacity: 0.7;
}

#header #pc-menu li img.icon {
    width: 20px;
} */


/* ----------------------------------- */


/*-------------------------------------------
ハンバーガ―メニュー
*/

.hamburger {
    width: 100px;
    height: 100px;
    background-color: #8a8585;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 30;
    cursor: pointer;
    transition: 0.3s;
}

.hamburger:hover {
    opacity: 0.7;
}


/* ハンバーガーメニューの線の設定（メニューが閉じている時） */

.hamburger span {
    width: 50px;
    height: 2px;
    background: #fff;
    position: absolute;
    left: 25px;
    transition: 0.3s ease-in-out;
}


/* 1本目の線の位置を設定 */

.hamburger span:nth-child(1) {
    top: 36px;
}


/* 2本目の線の位置を設定 */

.hamburger span:nth-child(2) {
    top: 50px;
}


/* 3本目の線の位置を設定 */

.hamburger span:nth-child(3) {
    top: 64px;
}


/*
  ハンバーガーメニューの線の設定（メニューが開いている時）
  1本目の線を-45度回転
  */

.hamburger.active span:nth-child(1) {
    top: 47px;
    left: 25px;
    background: #fff;
    transform: rotate(-45deg);
}


/* 2本目と3本目は重ねて45度回転 */

.hamburger.active span:nth-child(2),
.hamburger.active span:nth-child(3) {
    top: 47px;
    background: #fff;
    transform: rotate(45deg);
}


/*
  メニューの設定
  最初は閉じている状態なので、「opacity: 0;」「visibility: hidden;」
  で要素を非表示にしておく
  */

#navi {
    width: 100%;
    height: 100vh;
    background-color: #8a8585;
    color: #fff;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20;
    opacity: 0;
    text-align: center;
    transition: opacity 0.6s ease, visibility 0.6s ease;
    visibility: hidden;
}


/*
  ハンバーガーメニューがクリックされた際に、jQueryで#naviにactiveクラスを追加して、
  メニューを表示させる。
  */

#navi.active {
    opacity: 1;
    visibility: visible;
}

#navi .logo {
    width: 80px;
    position: absolute;
    top: 40px;
    left: 50px;
}

#navi .menu {
    margin: 80px 0 40px 0;
}

#navi .menu li {
    margin-bottom: 20px;
}

#navi .menu a {
    color: #fff;
    font-weight: bold;
}


/*-------------------------------------------
end
------------------------------------------*/


/*-------------------------------------------
Mainvisual
-------------------------------------------*/

#mainvisual {
    margin-bottom: 80px;
}

#mainvisual img {
    width: 100%;
    max-width: 1920px;
    height: 420px;
    object-fit: cover;
}


/*-------------------------------------------
About
-------------------------------------------*/

#about ul {
    margin-bottom: 30px;
}

#about li:first-child {
    margin-bottom: 30px;
}

#about p {
    text-align: justify;
}


/*-------------------------------------------
Works
-------------------------------------------*/

#works ul {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 50px;
}

#works li {
    width: 31%;
    margin-bottom: 23px;
}


/*-------------------------------------------
Pet&hobby
-------------------------------------------*/

#Pet_hobby ul {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 50px;
}

#Pet_hobby li {
    width: 31%;
    margin-bottom: 23px;
}


/*-------------------------------------------
Contact
-------------------------------------------*/

#contact dl {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

#contact dt {
    width: 15%;
}

#contact dd {
    width: 85%;
    margin-bottom: 10px;
}

#contact dd input,
#contact dd textarea {
    width: 100%;
    border: solid 1px #c8c8c8;
    padding: 10px;
}

#contact dd textarea {
    height: 10rem;
}

#contact .button {
    text-align: center;
}

#contact .button input {
    width: 200px;
    background-color: #24292e;
    color: #fff;
    padding: 15px 0;
    border: solid 1px #24292e;
}

#contact .button input:hover {
    background: #fff;
    color: #24292e;
}


/*-------------------------------------------
フッター
-------------------------------------------*/

#footer {
    background-color: #24292e;
    color: #fff;
    font-size: 0.5rem;
    padding: 10px 20px;
    text-align: center;
}


/*-------------------------------------------
SP
-------------------------------------------*/

@media (min-width: 601px) {
    .hamburger {
        display: none;
    }
    #header #pc-menu ul {
        display: flex;
        padding: 10px 0;
    }
    #header #pc-menu li {
        font-size: 0.9rem;
        margin-left: 30px;
    }
    #header #pc-menu li a {
        color: #24292e;
    }
    #header #pc-menu li a:hover {
        opacity: 0.7;
    }
    #header #pc-menu li img.icon {
        width: 20px;
    }
}

@media (max-width: 600px) {
    #pc-menu {
        display: none;
    }
    .wrapper {
        margin-bottom: 70px;
    }
    .site-title {
        margin-top: 20px;
    }
    .sec-title {
        margin-bottom: 40px;
    }
    /*-------------------------------------------
  Works
  -------------------------------------------*/
    #works ul {
        flex-direction: column;
    }
    #works li {
        width: 100%;
    }
    /*-------------------------------------------
  Pet&hobby
  -------------------------------------------*/
    #Pet_hobby ul {
        flex-direction: column;
    }
    #Pet_hobby li {
        width: 100%;
    }
    /*-------------------------------------------
  Contact
  -------------------------------------------*/
    #contact dl {
        flex-direction: column;
    }
    #contact dt {
        width: 100%;
    }
    #contact dd {
        width: 100%;
    }
}


/*---------------------------------フェード表示させる要素に使用するためのクラス ---------------------------------*/

.fadein {
    opacity: 0;
    transform: translateY(20px);
    transition: all 2s;
}


/* ---------------------------------ローディングアニメーション--------------------------------- */

.loader {
    align-items: center;
    background: #fff;
    bottom: 0;
    display: flex;
    justify-content: center;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 999;
}

.loader::after {
    animation: loader 0.5s linear infinite;
    border: 1px solid #c5ecd8;
    /* 丸の色の指定 */
    border-radius: 50%;
    border-right: 1px solid rgba(200, 228, 255, 0.2);
    /* 丸のサブ色の指定 */
    border-top: 1px solid rgba(200, 228, 255, 0.2);
    /* 丸のサブ色の指定 */
    content: "";
    height: 100px;
    /* 丸のサイズ */
    width: 100px;
    /* 丸のサイズ */
}

@keyframes loader {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}